# Uses of Interface
org.springframework.web.util.UriTemplateHandler

Packages that use UriTemplateHandler
Package
Description
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of UriTemplateHandler in org.springframework.web.client

Methods in org.springframework.web.client that return UriTemplateHandler
Modifier and Type
Method
Description
`UriTemplateHandler`
RestTemplate.`getUriTemplateHandler()`
Return the configured URI template handler.
Methods in org.springframework.web.client with parameters of type UriTemplateHandler
Modifier and Type
Method
Description
`void`
RestTemplate.`setUriTemplateHandler(UriTemplateHandler handler)`
Configure a strategy for expanding URI templates.

## Uses of UriTemplateHandler in org.springframework.web.util

Subinterfaces of UriTemplateHandler in org.springframework.web.util
Modifier and Type
Interface
Description
`interface`
`UriBuilderFactory`
Factory to create `UriBuilder` instances with shared configuration such as a base URI, an encoding mode strategy, and others across all URI builder instances created through a factory.
Classes in org.springframework.web.util that implement UriTemplateHandler
Modifier and Type
Class
Description
`class`
`DefaultUriBuilderFactory`
`UriBuilderFactory` that relies on `UriComponentsBuilder` for the actual building of the URI.